#
# Check the X Server information - shmnumclients should be 0
#

&pcheck("X shmnumclients");

$shm = 1;

#----------------------------------------------------------
#
# Check the Xservers file to make sure -shmnumclients 0 is set
#
if (open (XSERVERS, $xservers)) {
        while (<XSERVERS>) {
                if (/-shmnumclients\s+0/) { $shm = 0; }
        }
} else {
        &report("ERROR:  Cannot open the $xservers file.\n");
	&error;
	exit;
}

if ($shm) {
        &report("DANGER:  In Irix 5.x, Xauthority cannot be trusted without the line\n",
        "\t\"-shmnumclients 0\" added to the $xservers file.\n");
	&warn;
} else {
	&passed;
}

	
exit 0;
